Package uk.ac.starlink.topcat.interop

## Interface SpectrumActivity

- All Superinterfaces:
    `Activity`

      public interface SpectrumActivity
      extends Activity

  Activity for sending a spectrum to load.
  Since:
    5 Oct 2009
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `displaySpectrum​(java.lang.String location, java.util.Map metadata)` | Sends a message to load a spectrum.

    - ### Methods inherited from interface uk.ac.starlink.topcat.interop.Activity

      `getTargetSelector`

- - ### Method Detail

    - #### displaySpectrum

          void displaySpectrum​(java.lang.String location,
                               java.util.Map metadata)
                        throws java.io.IOException

      Sends a message to load a spectrum.
      Parameters:
        `location` - URL of spectrum
        `metadata` - ucd/utype->value map giving spectrum metadata
      Throws:
        `java.io.IOException`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.